Bug 149714 - local variable used before set
local variable used before set
Product: Fedora
Classification: Fedora
Component: GtkAda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-02-25 13:01 EST by David Binderman
Modified: 2008-02-06 19:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-06 19:07:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-25 13:01:29 EST
Description of problem:

I just tried to compile package GtkAda-2.4.0-2 from 
Redhat Fedora Extras development tree.

The compiler said

gtkplot3d.c(1026): remark #592: variable "y" is used before its value
is set

The source code is

           y += text_height / 2.;

but y hasn't been written to since it's declaration

  gdouble y;

Suggest init y before first use.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Christian Iseli 2007-01-17 18:19:50 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.


Your friendly BZ janitor :-)
Comment 2 petrosyan 2008-02-06 19:07:10 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.